import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        String str2 = br.readLine();
        String str1 = br.readLine();

        int[] b = new int[str2.length()];
        int[] a = new int[str1.length()];

        for (int i = 0; i < str1.length(); i++) {
            a[i] = str1.charAt(str1.length() - 1 - i);
        }

        for (int i = 0; i < str2.length(); i++) {
            b[i] = str2.charAt(str2.length() - 1 - i);
        }

        int[] c = sum(a, b);
        int[] d = pro(a, b);

        for (int i = 0; i < c.length; i++) {
            out.print(c[c.length - 1 - i] - '0');
        }

        out.print(" ");

        for (int i = 0; i < d.length; i++) {
            out.print(d[d.length - 1- i] - '0');
        }
        out.close();
    }

    public static int[] sum (int[] a, int[] b) {

        int s[] = new int[Math.max(a.length, b.length)];
        for (int i = 0; i < s.length; i++) {
            if (i >= Math.min(a.length,b.length) && a.length >= b.length)
                s[i] = a[i];
            else if (i >= Math.min(a.length,b.length) && a.length <= b.length)
                s[i] = b[i];
            else
                s[i] = Math.max(a[i], b[i]);
        }
        return s;
    }

    public static int[] pro (int[] a, int[] b) {

        int[][] s = new int[a.length][a.length + b.length - 1];
        for (int i = 0; i < s.length; i++) {
            for (int j = 0; j < a.length + b.length - 1; j++) {
                if (i - j > 0)
                    s[i][j] = 0;
                else if(j - i >= b.length)
                    s[i][j] = 0;
                else
                    s[i][j] = Math.min(a[i], b[j - i]);
            }
        }

        int[] s1 = s[0];
        for (int i = 1; i < s.length; i++) {
            s1 = sum(s[i], s1);
        }
        return s1;
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}