import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        String str1 = br.readLine();
        String str2 = br.readLine();
        int[] a = new int[str1.length()];
        int[] b = new int[str2.length()];

        for (int i = 0; i < str1.length(); i++) {
            a[i] = str1.charAt(str1.length() - 1 - i);
        }

        for (int i = 0; i < str2.length(); i++) {
            b[i] = str2.charAt(str2.length() - 1 - i);
        }

        int[] c = sum(a, b);
        int[] d = pro(a, b);

        for (int i = 0; i < c.length; i++) {
            out.print(c[c.length - 1 - i] - '0');
        }

        out.println();

        for (int i = 0; i < d.length; i++) {
            out.print(d[d.length - 1 - i] - '0');
        }
        out.close();
    }

    public static int[] sum (int[] x, int[] y) {
        int[] a;
        int[] z;
        if (x.length >= y.length) {
            a = x;
            z = y;
        }
        else {
            a = y;
            z = x;
        }

        int[] b = new int[a.length];

        for (int i = 0; i < a.length; i++) {
            if (i <= z.length - 1)
                b[i] = z[i];
            else
                b[i] = 0;
        }

        int[] c = new int[a.length];

        for (int i = 0; i < c.length; i++) {
            c[i] = Math.max(a[i], b[i]);
        }
        return c;
    }

    public static int[] pro (int[] x, int[] y) {
        int[] a;
        int[] z;
        if (x.length >= y.length) {
            a = x;
            z = y;
        }
        else {
            a = y;
            z = x;
        }

        int[] b = new int[a.length];

        for (int i = 0; i < a.length; i++) {
            if (i <= z.length - 1)
                b[i] = z[i];
            else
                b[i] = 0;
        }
        int[][] s = new int[a.length][a.length];

        for (int i = 0; i < a.length; i++) {
            int[] g = new int[a.length];
            for (int j = 0; j < a.length; j++) {
                if (j == i)
                    g[j] = b[b.length - 1 - i];
                else if (j > i)
                    g[j] = 0;
                else
                    g[i] = 9;
            }
            int[] h = sum1(g, a);
            for (int j = 0; j < a.length; j++) {
                s[i][j] = h[j];
            }
        }

        int[] s1 = s[0];

        for (int i = 1; i < s.length; i++) {
            s1 = sum(s1, s[i]);
        }
        return s1;
    }

    public static int[] sum1 (int[] x, int[] y) {
        int[] a;
        int[] z;
        if (x.length >= y.length) {
            a = x;
            z = y;
        }
        else {
            a = y;
            z = x;
        }

        int[] b = new int[a.length];

        for (int i = 0; i < a.length; i++) {
            if (i <= z.length - 1)
                b[i] = z[i];
            else
                b[i] = 0;
        }

        int[] c = new int[a.length];

        for (int i = 0; i < c.length; i++) {
            c[i] = Math.min(a[i], b[i]);
        }
        return c;
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }

    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}